Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib.sdk.config
Class CIBConfigurationImpl

    java.lang.Object
      com.sun.mfwk.cib.sdk.config.CIBConfigurationImpl

All Implemented Interfaces:
  CIBConfiguration, CIBProvider

Direct Known Subclasses:
  CIBApplicationConfigurationImpl, CIBExternalResourceConfigurationImpl, CIBResourceConfigurationImpl, CIBServiceConfigurationImpl

public class CIBConfigurationImpl
extends java.lang.Object
implements CIBConfiguration

Default implementation of a Configuration provider. This implementation is fully based on the Java-ES MF Instrumentation SDK.

Field Summary
`CIBConnection` | `myConnection`
`java.lang.String` | `myType`

Constructor Summary
`CIBConfigurationImpl(javax.management.MBeanServerConnection connection, java.util.Map map)` Constructor

Method Summary
`void` | `destroy()` Destroy the statistics and clean the statistics objects/values when needed, close all the communications.
`javax.management.Attribute` | `getAttribute(java.lang.String name)` Get the CP Attribute linked to the name
`java.lang.String` | `getType()` Returns the type of the configuration
`void` | `init()` Initialize the statistics mechanism.
`void` | `start()` Start the configuration collections and clean the statistics objects/values when needed, close all the communications.
`void` | `stop()` Stop the statistics collections and clean the statistics objects/values when needed, close all the communications.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### myType

    public java.lang.String myType

### myConnection

    public CIBConnection myConnection

Constructor Detail

### CIBConfigurationImpl

    public CIBConfigurationImpl(javax.management.MBeanServerConnection connection,
                                java.util.Map map)

  Constructor

Parameters:
  `connection` - MBeanServerConnection
  `map` - Map

Method Detail

### getType

    public java.lang.String getType()

  Returns the type of the configuration

  Specified by:
    `getType` in interface `CIBConfiguration`
  Returns:
    String

### getAttribute

    public javax.management.Attribute getAttribute(java.lang.String name)
                                            throws CIBIOException,
                                                   CIBAttributeNotFoundException

  Get the CP Attribute linked to the name

  Parameters:
    `name` - String
  Returns:
    Attribute
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

### init

    public void init()
              throws CIBIOException,
                     CIBException

  Initialize the statistics mechanism. In particular, initialize the communication to the instrumentation layer.

  Specified by:
    `init` in interface `CIBProvider`
  Throws:
    `CIBIOException`
    `CIBException`

### destroy

    public void destroy()
                 throws CIBIOException,
                        CIBException

  Destroy the statistics and clean the statistics objects/values when needed, close all the communications.

  Specified by:
    `destroy` in interface `CIBProvider`
  Throws:
    `CIBIOException`
    `CIBException`

### start

    public void start()

  Start the configuration collections and clean the statistics objects/values when needed, close all the communications.

### stop

    public void stop()

  Stop the statistics collections and clean the statistics objects/values when needed, close all the communications.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD